/** 是否为内置云函数 */
export declare function isBuiltinMethod(name: string): boolean;
/**
 * 标准化内置云函数名称
 */
export declare function normalizeBuiltinMethodName(name: string): string;
interface ICheckAuth {
    methodName: string;
    envType: 'prod' | 'pre';
    dataSourceName: string;
}
export declare function checkAuthOfMethod(params: ICheckAuth): Promise<any>;
interface ICallBuiltinMethod {
    methodName: string;
    envType: ICheckAuth['envType'];
    dataSourceName: string;
    params?: any;
}
export declare function callBuiltinMethod(params: ICallBuiltinMethod): Promise<any>;
export {};
