"use strict";
/**
 * 劫持 node-sdk 中 collection 相关方法, 用以控制访问权限
 *
 * 根据 node-sdk 文档, 需 hook 以下方法
 *    写入场景:
 *      add 方法, https://docs.cloudbase.net/database/insert.html#cha-ru-yi-tiao-shu-ju
 *      update/set 方法, https://docs.cloudbase.net/database/update.html
 *          需考虑插入多条、单条 场景
 *      end 聚合搜索方法, https://docs.cloudbase.net/database/aggregate.html
 *
 *    查询场景: get 方法及 count 方法 https://docs.cloudbase.net/database/read.html, https://docs.cloudbase.net/database/query.html
 *
 *    删除场景: remove 方法
 */
