"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUserInfo = void 0;
const tcb_1 = require("./tcb");
/**
 * 标准化错误处理, 包装 response
 */
const getUserInfo = async (ctx, next) => {
    const envObj = tcb_1.tcb.getCloudbaseContext();
    const endUserInfo = await tcb_1.auth.getEndUserInfo();
    ctx.state.tcbEnv = envObj;
    ctx.state.endUser = endUserInfo;
    return next();
};
exports.getUserInfo = getUserInfo;
